> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/tasks/tasks/other/frends.managementapi.request.md).

# Frends.ManagementApi.Request

Task for Frends Management API related operations.

Task version: 1.1.0

Required Frends version: 5.5+

Required .NET version: 6.0

Compatible Agents: Crossplatform

Source code: <https://github.com/FrendsPlatform/Frends.ManagementApi/tree/main/Frends.ManagementApi.Request>

## Task Parameters

{% tabs %}
{% tab title="Input" %}

| Name                                    | Description                                                                                                                                                                                                                                                                                                               |
| --------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Method : `Methods`                      | <p>Gets or sets HTTP request method.</p><p>Possible values:</p><ul><li><code>Get</code>: GET.</li><li><code>Post</code>: POST.</li><li><code>Put</code>: PUT.</li><li><code>Patch</code>: PATCH.</li><li><code>Delete</code>: DELETE.</li></ul><p><br>Default: <code>Get</code><br>Example: <code>Methods.Get.</code></p> |
| Url : `String`                          | <p>Gets or sets URL.</p><p><br>Default: <code>-</code><br>Example: <code><https://tenant.frendsapp.com/api/v1/api-management/access/api-keys/1>.</code></p>                                                                                                                                                               |
| GeneratedToken : `Boolean`              | <p>Gets or sets a value indicating whether token is generated.</p><p><br>Default: <code>False</code><br>Example: <code>false.</code></p>                                                                                                                                                                                  |
| ApplicationUri : `String`               | <p>gets or sets Application URI.</p><p><br>Default: <code>-</code><br>Example: <code>api://qwe123-rty456-uio789-1p2i-asd9078.</code></p>                                                                                                                                                                                  |
| ApplicationId : `String`                | <p>Gets or sets application ID.</p><p><br>Default: <code>-</code><br>Example: <code>qwe123-rty456-uio789-1p2i-asd9078.</code></p>                                                                                                                                                                                         |
| ClientSecret : `String`                 | <p>Gets or sets client secret.</p><p><br>Default: <code>-</code><br>Example: <code>1r2t3y4u5i6o7p8a9s.</code></p>                                                                                                                                                                                                         |
| 🗝Token : `String`                      | <p>Gets or sets bearer token.</p><p><br>Default: <code>-</code><br>Example: <code>abcd123.</code></p>                                                                                                                                                                                                                     |
| Message : `String`                      | <p>Gets or sets message to be sent with the request.</p><p><br>Default: <code>-</code><br>Example: <code>{ "agentGroupId": 0, "processes": \[ { "processGuid": "00000000-0000-0000-0000-000000000000" ...</code></p>                                                                                                      |
| IsMultipart : `Boolean`                 | <p>Gets or sets a value indicating whether multipart is used.</p><p>If true, using Content-Type = multipart/form-data instead of application/json.</p><p><br>Default: <code>False</code><br>Example: <code>false.</code></p>                                                                                              |
| DownloadPath : `String`                 | <p>Gets or sets download path where resource will be exported.</p><p><br>Default: <code>-</code><br>Example: <code>C:\temp\foo.json.</code></p>                                                                                                                                                                           |
| FilePaths : `SendFileParameters[]`      | <p>Gets or sets array of files to be imported.</p><p><br>Default: <code>-</code><br>Example: <code>{ {FileParameterKey = FileParameterKey.File, Fullpath = "C:\temp\file.json"} }.</code></p>                                                                                                                             |
| ManualParameters : `ManualParameters[]` | <p>Gets or sets manual parameters.</p><p>No need to add Content-Type, Accept and Authorization headers.</p><p><br>Default: <code>-</code><br>Example: <code>{ {Key = foo, Value = bar, ParameterType = ParameterTypes.GetOrPost} }.</code></p>                                                                            |
| {% endtab %}                            |                                                                                                                                                                                                                                                                                                                           |

{% tab title="Options" %}

| Name                              | Description                                                                                                                                                                                                                                                                                                                                                                                             |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ThrowExceptionOnError : `Boolean` | <p>Gets or sets a value indicating whether an error should stop the Task and throw an exception.</p><p>If set to true, an exception will be thrown when an error occurs.</p><p>If set to false, Task will try to continue and the error message will be added into Result.ErrorMessage and Result.Success will be set to false.</p><p><br>Default: <code>True</code><br>Example: <code>true.</code></p> |
| Timeout : `Int32`                 | <p>Gets or sets timeout in seconds.</p><p><br>Default: <code>-</code><br>Example: <code>10.</code></p>                                                                                                                                                                                                                                                                                                  |
| {% endtab %}                      |                                                                                                                                                                                                                                                                                                                                                                                                         |
| {% endtabs %}                     |                                                                                                                                                                                                                                                                                                                                                                                                         |

## Task Result

| Name                    | Description                                                                                                                                                                                                                                                                      |
| ----------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Success : `Boolean`     | <p>Gets a value indicating whether the Task was executed successfully and without errors.<br>Example: <code>true.</code></p>                                                                                                                                                     |
| Data : `Object`         | <p>Gets result data.<br>Example: <code>{"data":{"id":1,"value":"1-2-3-4-5","modified":"2024-01-25T07:56:27.147","modifier":"user","environment":{"id":51,"displayName":"Development"},"name":"test","rulesetIds":\[],"requestLimit":100,"requestLimitPeriod":"Day"}}.</code></p> |
| ErrorMessage : `Object` | <p>Gets error message. This value is generated when an exception occurs and Options.ThrowExceptionOnError is false.<br>Example: <code>Error occured...</code></p>                                                                                                                |

## Task Changelog

Changelog is not available for this Task.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.frends.com/tasks/tasks/other/frends.managementapi.request.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
